Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1013 - printf with big field width segfaults:
Summary: printf with big field width segfaults:
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: libc
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-01 16:24 UTC by Christoph Rohland
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-11 22:29:12 UTC


Attachments (Terms of Use)

Description Christoph Rohland 1999-02-01 16:24:02 UTC
#include <stdio.h>

main()
{
    int ol = 1651, num = -4;
    for (ol=1040; ; ol++)
        printf ("%d: %0*ld\n",ol, ol, (long) num);
}

segfaults for ol > 1044

Comment 1 Anonymous 1999-02-18 13:02:59 UTC
Somebody out there?

Comment 2 Anonymous 1999-02-22 16:43:59 UTC
Since this request is not processed for a long time I opened the same
report at www-gnats.gnu.org request no 988. You can close this
request...


Note You need to log in before you can comment on or make changes to this bug.